Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Sep 2014, 00:27
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Firefox 1.5 beta 1 browser
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
GuestToo
Puppy Master

Joined: 04 May 2005
Posts: 4078

PostPosted: Thu 08 Sep 2005, 21:09    Post_subject:  Firefox 1.5 beta 1 browser  

Firefox 1.5 beta 1 downloader/installer

requires 30 megs of free space in /root to install

crude and simple script, version 1
this just downloads, checks the md5sum, and unzips firefox to /root
there will be a folder /root/firefox15tmp/ with the downloaded Firefox tar.gz file in it ... delete the folder if you want to save 8 megs of space

this puts a Firefox15 icon in my roxapps
drag the icon to the desktop if you want a shortcut
click the icon to run Firefox
or type: firefox15

Firefox 1.5 is based on DeerPark

http://www.mozilla.org/projects/firefox/
download url: http://tinyurl.com/e45sj
mirrors: http://www.mozilla.org/mirrors.html

edit: attachment removed

Edited_times_total
Back to top
View user's profile Send_private_message 
GuestToo
Puppy Master

Joined: 04 May 2005
Posts: 4078

PostPosted: Thu 08 Sep 2005, 22:05    Post_subject:  

i wrote a quick script to download and install Firefox
crude, but i think it works

also a roxapp wrapper
Back to top
View user's profile Send_private_message 
Johnny Reb


Joined: 05 Aug 2005
Posts: 132
Location: The Confederate States of America (occupied)

PostPosted: Fri 09 Sep 2005, 17:38    Post_subject:  

GuestToo, will this overwrite an existing Deer Park install, or does the existing install need to be uninstalled?
_________________
He who dares not offend cannot be honest.
~ Thomas Paine
Back to top
View user's profile Send_private_message Visit_website AIM YIM 
ICQ 
GuestToo
Puppy Master

Joined: 04 May 2005
Posts: 4078

PostPosted: Fri 09 Sep 2005, 19:36    Post_subject:  

it downloads to /root/firefox15tmp
it installs Firefox in /root/firefox15

so if you have either of those dir's, they will get overwritten

you can rename firefox15 to anything you like and move it anywhere you like (somewhere in /usr if you like)and it should still run ... but if you want the rox wrapper to still work, you would need to edit my-applications/bin/firefox15 to point to the new location

it should not use the mozilla config files, but if you already have firefox or deerpark installed it wlll use the same files

basically, Firefox 1.5 beta 1 is a newer version of Deer Park ... this is a beta of the next stable release of Firefox (the current stable Firefox is 1.0.6)
Back to top
View user's profile Send_private_message 
GuestToo
Puppy Master

Joined: 04 May 2005
Posts: 4078

PostPosted: Fri 09 Sep 2005, 19:41    Post_subject:  

or you can just download Firefox yourself, and either unzip and run, or unzip and run the installer

my downloader uses wget, which is usually quite reliable, and can resume a download (just click the dotpup again)
Back to top
View user's profile Send_private_message 
GuestToo
Puppy Master

Joined: 04 May 2005
Posts: 4078

PostPosted: Fri 09 Sep 2005, 23:25    Post_subject:  

also, you can type firefox15 -ProfileManager to run the Profile Manager, and you can setup Firefox 1.5 to use a different profile than other Firefox versions, so they don't interfere with each other ... for example, if you setup a profile called myprofile2, you could use it by typing firefox15 -P myprofile2
Back to top
View user's profile Send_private_message 
GuestToo
Puppy Master

Joined: 04 May 2005
Posts: 4078

PostPosted: Thu 22 Sep 2005, 23:34    Post_subject:  

about Mozilla security bugs:
http://www.mozillazine.org/

Quote:
Any Firefox 1.0.x and Mozilla 1.x users who have not upgraded to versions 1.0.7 and 1.7.12 respectively are advised to do so immediately

It should be noted that Firefox 1.5 Beta 1 is vulnerable to the flaw, so users should either revert to an end-user release of Firefox (that is, 1.0.7) or update to a more recent Firefox nightly build from the 1.8 branch. SeaMonkey 1.0 Alpha is not affected by the vulnerability (but the Linux version is at risk from the Linux command line URL parsing security bug).
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0581s ][ Queries: 11 (0.0105s) ][ GZIP on ]